export interface ICloudApiParams {
    /** yun api 请求的域名, 默认 lowcode */
    service?: string;
    /** 接口版本, 默认 2021-01-08*/
    version?: string;
    /** 接口请求超时时间, 默认10s */
    timeout?: number;
    /** 方法名称 */
    action: string;
    /** 云API参数 */
    data?: Record<string, any>;
    /**
     * 是否自动将 data 的key 改为大写驼峰
     *  默认为 true, 即使用时 data 可以采用小驼峰的 key
     */
    capitalizeDataKey?: boolean;
}
/**
 * 请求云API
 * @param params 配置参数
 */
export declare function fetchCloud(params: ICloudApiParams): Promise<any>;
