"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.normalizeResp = void 0;
/**
 * 标准化错误处理, 包装 response
 */
const normalizeResp = async (ctx, next) => {
    try {
        await next();
        const oldBody = ctx.body;
        ctx.body = {
            code: 0,
            data: oldBody,
        };
    }
    catch (error) {
        ctx.status = error.status || 500;
        ctx.body = error.message;
    }
};
exports.normalizeResp = normalizeResp;
